For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Contract Result by ID or Hash

Get the contract result from a contract on the network for a given transactionId or ethereum transaction hash.

This method will use 20 Compute Units.


Get the contract result from a contract on the network for a given transactionId or ethereum transaction hash

get

Returns a single ContractResult for a contract's function executions for a given transactionId or ethereum transaction hash.

Path parameters
transactionIdOrHashstringRequired

Transaction Id or a 32 byte hash with optional 0x prefix

Example: {"value":"0.0.10-1234567890-000000000"}Pattern: ^(0x)?[A-Fa-f0-9]{64}|(\d{1,10})\.(\d{1,10})\.(\d{1,10})-(\d{1,19})-(\d{1,9})$
Query parameters
nonceinteger · int32Optional

Filter the query result by the nonce of the transaction. A zero nonce represents user submitted transactions while a non-zero nonce is generated by main nodes. The filter honors the last value. Default is 0 when not specified.

Default: 0Example: 1
Responses
200

OK

application/json
access_liststring · nullableOptional

The hex encoded access_list of the wrapped ethereum transaction

Example: 0xabcd
addressstringOptional

The hex encoded evm address of contract

Example: 0x25fe26adc577cc89172e6156c9e24f7b9751b762
amountinteger · int64 · nullableOptional

The number of tinybars sent to the function

Example: 10
block_gas_usedinteger · int64 · nullableOptional

The total amount of gas used in the block

Example: 2000
block_hashstring · nullableOptional

The hex encoded block (record file chain) hash

Example: 0x6ceecd8bb224da491
block_numberinteger · int64 · nullableOptional

The block height calculated as the number of record files starting from zero since network start.

Example: 10
bloomall ofOptional
string · binary · nullableOptionalExample: 0x549358c4c2e573e02410ef7b5a5ffa5f36dd7398
and
anyOptional

The hex encoded bloom filter of the contract result

call_resultstring · nullableOptional

The hex encoded result returned by the function

Example: 0x2b048531b38d2882e86044bc972e940ee0a01938
chain_idstring · nullableOptional

The hex encoded chain_id of the wrapped ethereum transaction

Example: 0x0127
contract_idstring · nullableOptional

Network entity ID in the format of shard.realm.num

Example: 0.1.2Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
created_contract_idsstring[] · nullableOptional

The list of smart contracts that were created by the function call.

Example: 0.1.2
error_messagestring · nullableOptional

The message when an error occurs during smart contract execution

Example: Out of gas
failed_initcodestringOptional

The hex encoded initcode of a failed contract create transaction

Example: 0x856739
fromstring · binary · min: 40 · max: 42Optional

A network entity encoded as an EVM address in hex.

Example: 0000000000000000000000000000000000001f41Pattern: ^(0x)?[A-Fa-f0-9]{40}$
function_parametersstring · nullableOptional

The hex encoded parameters passed to the function

Example: 0xbb9f02dc6f0e3289f57a1f33b71c73aa8548ab8b
gas_limitinteger · int64Optional

The maximum units of gas allowed for contract execution

Example: 100000
gas_pricestring · nullableOptional

The hex encoded gas_price of the wrapped ethereum transaction

Example: 0x4a817c800
gas_usedinteger · int64 · nullableOptional

The units of gas used to execute contract

Example: 1000
hashstringOptional

The hex encoded transaction hash

Example: 0x3531396130303866616264653464
max_fee_per_gasstring · nullableOptional

The hex encoded max_fee_per_gas of the wrapped ethereum transaction

Example: 0x5
max_priority_fee_per_gasstring · nullableOptional

The hex encoded max_priority_fee_per_gas of the wrapped ethereum transaction

Example: 0x100
nonceinteger · int64 · nullableOptional

The nonce of the wrapped ethereum transaction

Example: 1
rstring · nullableOptional

The hex encoded signature_r of the wrapped ethereum transaction

Example: 0xd693b532a80fed6392b428604171fb32fdbf953728a3a7ecc7d4062b1652c043
resultstringOptional

The result of the transaction

Example: SUCCESS
sstring · nullableOptional

The hex encoded signature_s of the wrapped ethereum transaction

Example: 0x24e9c602ac800b983b035700a14b23f78a253ab762deab5dc27e3555a750b355
statusstringOptional

The status of the transaction, 0x1 for a SUCCESS transaction and 0x0 for all else

Example: 1
timestampstringOptionalExample: 1586567700.453054000Pattern: ^\d{1,10}(\.\d{1,9})?$
tostring · binary · min: 40 · max: 42 · nullableOptional

A network entity encoded as an EVM address in hex.

Example: 0x0000000000000000000000000000000000001f41Pattern: ^(0x)?[A-Fa-f0-9]{40}$
transaction_indexinteger · int64 · nullableOptional

The position of the transaction in the block

Example: 1
typeinteger · nullableOptional

The type of the wrapped ethereum transaction, 0 (Pre-Eip1559) or 2 (Post-Eip1559)

Example: 2
vinteger · nullableOptional

The recovery_id of the wrapped ethereum transaction

Example: 1
get/api/v1/contracts/results/{transactionIdOrHash}
GET /v1/YOUR_API_KEY/api/v1/contracts/results/{transactionIdOrHash} HTTP/1.1
Host: mainnet.hedera.validationcloud.io
Accept: */*
{
  "access_list": "0xabcd",
  "address": "0x25fe26adc577cc89172e6156c9e24f7b9751b762",
  "amount": 10,
  "block_gas_used": 2000,
  "block_hash": "0x6ceecd8bb224da491",
  "block_number": 10,
  "bloom": null,
  "call_result": "0x2b048531b38d2882e86044bc972e940ee0a01938",
  "chain_id": "0x0127",
  "contract_id": "0.1.2",
  "created_contract_ids": [
    "0.1.2"
  ],
  "error_message": "Out of gas",
  "failed_initcode": "0x856739",
  "from": "0000000000000000000000000000000000001f41",
  "function_parameters": "0xbb9f02dc6f0e3289f57a1f33b71c73aa8548ab8b",
  "gas_limit": 100000,
  "gas_price": "0x4a817c800",
  "gas_used": 1000,
  "hash": "0x3531396130303866616264653464",
  "max_fee_per_gas": "0x5",
  "max_priority_fee_per_gas": "0x100",
  "nonce": 1,
  "r": "0xd693b532a80fed6392b428604171fb32fdbf953728a3a7ecc7d4062b1652c043",
  "result": "SUCCESS",
  "s": "0x24e9c602ac800b983b035700a14b23f78a253ab762deab5dc27e3555a750b355",
  "status": 1,
  "timestamp": "1586567700.453054000",
  "to": "0x0000000000000000000000000000000000001f41",
  "transaction_index": 1,
  "type": 2,
  "v": 1,
  "logs": [
    {
      "address": "0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef",
      "bloom": null,
      "contract_id": "0.1.2",
      "data": "0x00000000000000000000000000000000000000000000000000000000000000fa",
      "index": 0,
      "topics": [
        "0xf4757a49b326036464bec6fe419a4ae38c8a02ce3e68bf0809674f6aab8ad300"
      ]
    }
  ],
  "state_changes": [
    {
      "address": "0000000000000000000000000000000000001f41",
      "contract_id": "0.1.2",
      "slot": "0x00000000000000000000000000000000000000000000000000000000000000fa",
      "value_read": "0x97c1fc0a6ed5551bc831571325e9bdb365d06803100dc20648640ba24ce69750",
      "value_written": "0x8c5be1e5ebec7d5bd14f71427d1e84f3dd0314c0f7b2291e5b200ac8c7c3b925"
    }
  ]
}

Last updated

Was this helpful?